Bug 430167 - spamassassin started to collect crashes
spamassassin started to collect crashes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
http://issues.apache.org/SpamAssassin...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 17:48 EST by Michal Jaegermann
Modified: 2008-12-15 20:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 20:56:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-01-24 17:48:58 EST
Description of problem:

Starting with January 14th I started to collect in logs entries
like that (a sample from the last few days):

Jan 20 13:17:30 ... spamd[16364]: segfault at 0000000000000020 rip
000000352e872ab5 rsp 00007fff5614ff70 error 6
Jan 20 17:58:18 ... spamd[16517] general protection rip:38774855c9
rsp:7fff56150ab0 error:0
Jan 20 18:26:08 ... spamd[19568] general protection rip:3542af0c25
rsp:7fff56150350 error:0
Jan 20 18:42:35 ... spamd[19860]: segfault at 0000003b368ac1c0 rip
0000003542a2861d rsp 00007fff56150000 error 4
Jan 20 18:56:49 ... spamd[20048] general protection rip:3542af27da
rsp:7fff5614fea0 error:0
Jan 20 21:47:59 ... spamd[20195] general protection rip:3542a49691
rsp:7fff561500a0 error:0
Jan 21 05:53:41 ... spamd[22000]: segfault at 0000000000000014 rip
0000003542a49691 rsp 00007fff561500a0 error 4
Jan 21 07:53:40 ... spamd[28378]: segfault at 00000000000001e0 rip
0000003542a495cb rsp 00007fff561500f0 error 4
Jan 21 08:30:44 ... spamd[30008] general protection rip:3542af260a
rsp:7fff56150030 error:0
Jan 21 14:38:03 ... spamd[1619] trap stack segment rip:387748a2d3
rsp:7fff56150830 error:0
Jan 21 16:43:34 ... spamd[2422] trap stack segment rip:352e8708ab
rsp:7fff5614fed0 error:0
Jan 21 18:46:02 ... spamd[4174] general protection rip:3542af27da
rsp:7fff56150030 error:0
Jan 21 22:09:06 ... spamd[5631] general protection rip:352e875edb
rsp:7fff56150b30 error:0
Jan 21 22:23:45 ... spamd[8077]: segfault at 000000000367b000 rip
000000352e87b8ab rsp 00007fff5614ff98 error 4
Jan 22 14:19:44 ... spamd[16578] general protection rip:3542af8a85
rsp:7fff56150068 error:0
Jan 22 23:18:03 ... spamd[20976] trap stack segment rip:387748a2d3
rsp:7fff56150830 error:0
Jan 23 00:59:21 ... spamd[27585] general protection rip:3542af8a85
rsp:7fff5614fd58 error:0
Jan 23 06:41:41 ... spamd[28658] general protection rip:3542af1d99
rsp:7fff5614fc50 error:0
Jan 23 09:39:49 ... spamd[1958] trap divide error rip:3542afc78a
rsp:7fff5614ffa0 error:0
Jan 24 05:34:20 ... spamd[10405] general protection rip:3542af27da
rsp:7fff56150450 error:0
Jan 24 08:12:26 ... spamd[23140]: segfault at 0000000003548000 rip
000000352e87b8ab rsp 00007fff5614fec8 error 4

In maillog file I see invariably something like that:

spamd[2386]: prefork: child states: IB
spamd[2386]: spamd: handled cleanup of child pid 23140 due to SIGCHLD
spamd[2386]: prefork: child states: I
spamd[2386]: spamd: server successfully spawned child
spamd[2386]: prefork: child states: II

and that process 23140 was attempting to handle a message
"... from=<brand_new_goodies@cdaweb2.com>, size=5157, ...."
and in other cases something similarly exciting.

This is not critical in that sense that only that particular
child crashed and spamd is still operational but recently that
started to happen with a disconcerting regularity.

OTOH on http://spamassassin.apache.org/ it is possible to find now
3.2.4 and, although not the easiest to check what differences are,
it is billed as "a major bug-fix release".  Maybe it would help?

Version-Release number of selected component (if applicable):
spamassassin-3.2.3-2.fc8

Additional info:
This is the only machine I can watch that way with a significant
mail traffic and running that particular version of spamassassin
so I do not know how widespread is that or what else could be involved.

I am afraid that I do not have copies of messages in question.
Comment 1 Warren Togami 2008-01-24 22:08:00 EST
Hmm, I thought I had already pushed spamassassin-3.2.4 to F8.  It is already
built since a while ago.  I'll make sure it gets pushed soon.
Comment 2 Michal Jaegermann 2008-01-29 17:06:47 EST
> Hmm, I thought I had already pushed spamassassin-3.2.4 to F8

So far it did now show up even if updates-testing.  OTOH I recompiled
spamassassin-3.2.4-1.fc8.src.rpm from koji and I am still seeing
"segfault at 0000000126710768 rip 0000003542a2861d rsp 00007fff07917360 error 4"
Sigh!
Comment 3 Warren Togami 2008-01-29 17:15:14 EST
https://admin.fedoraproject.org/updates/F8/pending/spamassassin-3.2.4-1.fc8
updates-testing ticket is here

Could you please file your crash in the upstream Spamassassin Bugzilla?
http://issues.apache.org/SpamAssassin/
Comment 4 Michal Jaegermann 2008-01-29 18:49:49 EST
> Could you please file your crash in the upstream Spamassassin Bugzilla?

Bummer!  The next account to be opened on the next bugzilla!
Will do, but I do not have much to go on.  Nothing of that sort today
although yesterday there were four such incidents already after I put
3.2.4 into action.
Comment 5 Michal Jaegermann 2008-01-29 19:34:40 EST
Filed as http://issues.apache.org/SpamAssassin/show_bug.cgi?id=5801
There are some additional details there.
Comment 6 Bug Zapper 2008-11-26 04:33:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Kevin Fenzi 2008-12-15 19:25:24 EST
There doesn't seem to be any movement here or on the upstream bug... 

Does this still happen with 3.2.5 ? 
GPF sounds like a hardware error almost.
Comment 8 Michal Jaegermann 2008-12-15 20:56:15 EST
> Does this still happen with 3.2.5

No.  I did not see that for a long while.  This was nearly a year ago
so whatever evidence/test could be pertinent then it is long gone.

Note You need to log in before you can comment on or make changes to this bug.